Subject: bug#29088: Superseded package is not rebuild if native dependency changes

From: [email-masked] (Ludovic Courtès)
Date: Thu, 02 Nov 2017 00:14:06 +0100

Hi Hartmut,

Hartmut Goebel <[email-masked]> skribis:

> Am 31.10.2017 um 23:27 schrieb Ludovic Courtès:
>> Superseded packages cannot be built/installed unwillingly.  In the
>> example above, what you built is “gpgme”, not “gpgmepp”, which is why
>> any changes to “gpgmepp” had no effect.
>
> IC. Indeed I missed that a different package was build. So I agree, this
> is not a bug.
>
> But i suggest to emit a more verbose message in this case, e.g.:
>
> guix build: package 'gpgmepp'
> will not be build, since it       <<--- new
> has been superseded by 'gpgme'.
> 'gpgme' will be build instead.    <<--- new
>
> Or (maybe easier to implement:
> guix build: package 'gpgmepp' has been superseded by 'gpgme'.
> Thus 'gpgme' will be build instead of 'gpgmepp'.        <<--- new

I see your point, but I’m not entirely convinced.  :-)  After all, the
name that appears, be it at the end of ‘guix build’ or in the profile
created by ‘guix package’, is “gpgme”, not “gpgmepp”.

We could make the messages more verbose, but in general it’s unclear
that it would help.

However, that’s another situation where colored output could help make
useful messages more visible.

Thanks,
Ludo’.